Skip to content

Update phone number
deprecated

Request

This endpoint is deprecated for partners onboarded after 1/3/2025. For new and existing partners, your clientId will need to be approved by our support team to make the phoneNumber optional in the create card order endpoint. See 3DS for more information.

Updates the phone number of a card. The new phone number must be a valid phone number.

Security
UserToken
Path
profileIdinteger, (int64)required

Your profile ID.

Example:30000000
cardTokenstringrequired

The card token.

Example:12345-12345-12345-12345
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
phoneNumberstringrequired

Must be a valid phone number prefixed with + and country code.

Example:"+6588888888"
curl -i -X PUT \
  https://api.wise.com/v3/spend/profiles/30000000/cards/12345-12345-12345-12345/phone-number \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "phoneNumber": "+6588888888"
  }'

Responses

Updated card phone number details.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
tokenstring

The card token that you are modifying.

Example:"12345-12345-12345-12345"
profileIdinteger

The profile ID that the card is linked to.

Example:30000000
phoneNumberstring

The new phone number associated with the card.

Example:"+6588888888"
Response
{ "token": "12345-12345-12345-12345", "profileId": 30000000, "phoneNumber": "+6588888888" }